## xfsdump 2.0.1-2

=== Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

CONFIGURE = configure include/builddefs
LSRCFILES = configure configure.in Makepkgs install-sh README VERSION

LDIRT = config.log config.status config.cache confdefs.h conftest* \
	Logs/* built .census install.* install-dev.* *.gz

SUBDIRS = include librmt \
	common copy estimate fsr inventory invutil quota dump restore \
	man doc debian build

default: $(CONFIGURE)
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(SUBDIRS_MAKERULE)
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

$(CONFIGURE):
	autoconf
	./configure
	touch .census

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default
	$(SUBDIRS_MAKERULE)

realclean distclean: clean
	rm -f $(LDIRT) $(CONFIGURE)
	[ ! -d Logs ] || rmdir Logs

=== common/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = arch_xlate.c arch_xlate.h \
	cldmgr.c cldmgr.h cleanup.c cleanup.h content.h \
	content_common.c content_common.h content_inode.h dlog.c dlog.h \
	drive.c drive.h drive_minrmt.c drive_scsitape.c drive_simple.c \
	exit.h fs.c fs.h getdents.c getdents.h global.c global.h \
	inventory.c inventory.h lock.c lock.h \
	main.c media.c media.h media_rmvtape.h mlog.c mlog.h \
	namreg.c namreg.h openutil.c openutil.h path.c path.h qlock.c qlock.h \
	rec_hdr.h ring.c ring.h sproc.c sproc.h stream.c \
	stream.h types.h util.c util.h

default install install-dev :

include $(BUILDRULES)

=== copy/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

#LTCOMMAND = xfs_copy	# NEEDS FURTHER PORTING WORK
LTCOMMAND = 		# <-- don't build, but put source in tarball.

CFILES = xfs_copy.c locks.c
HFILES = locks.h
LLDLIBS = $(LIBXFS) $(LIBUUID)
LTDEPENDENCIES = $(LIBXFS)

default: $(LTCOMMAND)

include $(BUILDRULES)

#install: default
# Locking code needs to be ported!  (it compiles but doesn't work)
# Once that's done, uncomment these two lines:
#	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
#	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)

install: default
install-dev: default

=== debian/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = changelog control copyright rules shlibs.local

default:

include $(BUILDRULES)

install: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 changelog $(PKG_DOC_DIR)/changelog.Debian
endif

install-dev: default

=== doc/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

README = README.xfsdump
LSRCFILES = INSTALL PORTING CHANGES COPYING $(README) \
	directories.gif directories.obj               \
	files.gif files.obj                           \
	global_hdr.gif global_hdr.obj                 \
	inode_map.gif inode_map.obj                   \
	media_files.gif media_files.obj               \
	split_algorithm.gif split_algorithm.obj       \
	xfsdump.html xfsdump_ts.txt

LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(README) $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev:

=== dump/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
#
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
#
# http://www.sgi.com
#
# For further information regarding this notice, see:
#
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	arch_xlate.h \
	cldmgr.h \
	content.h \
	content_common.h \
	content_inode.h \
	dlog.h \
	drive.h \
	exit.h \
	fs.h \
        getdents.h \
	global.h \
	lock.h \
	media.h \
	mlog.h \
	openutil.h \
	path.h \
	qlock.h \
	ring.h \
	stream.h \
	types.h \
	util.h \
	sproc.h \
	rec_hdr.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_api.c \
	inv_core.c \
	inv_files.c \
	inv_fstab.c \
	inv_idx.c \
	inv_mgr.c \
	inv_stobj.c

COMMON = \
	arch_xlate.c \
	cldmgr.c \
	content_common.c \
	dlog.c \
	drive.c \
	drive_scsitape.c \
	drive_simple.c \
	drive_minrmt.c \
	fs.c \
	getdents.c \
	global.c \
	lock.c \
	main.c \
	mlog.c \
	openutil.c \
	qlock.c \
	path.c \
	ring.c \
	stream.c \
	util.c \
	sproc.c

LOCALS = \
	content.c \
	hsmapi.c \
	inomap.c \
	var.c

LOCALINCL = \
	getopt.h \
	hsmapi.h \
	inomap.h \
	var.h

LTCOMMAND = xfsdump

CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
HFILES = $(LOCALINCL)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBDM) $(LIBRMT)
LTDEPENDENCIES = $(LIBRMT)

LCFLAGS = -DDUMP -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST \
	-DPIPEINVFIX -DEXTATTR -DDMEXTATTR

default: $(LINKS) $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(INSTALL) -S $(PKG_SBIN_DIR)/$(LTCOMMAND) $(PKG_BIN_DIR)/$(LTCOMMAND)
install-dev:

$(COMMINCL) $(COMMON):
	@$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	@$(RM) $@; $(LN_S) ../inventory/$@ $@

=== estimate/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_estimate
CFILES = xfs_estimate.c

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

=== fsr/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_fsr
CFILES = xfs_fsr.c
LLDLIBS = $(LIBHANDLE) $(LIBATTR)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

=== include/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = builddefs.in buildmacros buildrules

default install install-dev :

include $(BUILDRULES)

=== inventory/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = inv_api.c inv_core.c inv_fstab.c inv_idx.c inv_mgr.c \
	inv_oref.c inv_oref.h inv_priv.h inv_stobj.c inv_files.c \
	inventory.h

default install install-dev:

include $(BUILDRULES)

=== invutil/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	global.h \
	mlog.h \
	util.h \
	types.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_files.c

COMMON = 

LOCALS = invutil.c 


LTCOMMAND = xfsinvutil
CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) 

#LCFLAGS = -DDUMP -DRMT -DEXTATTR -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
LCFLAGS = -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
#LCFLAGS = -DINV_DEBUG -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX


default: $(LINKS) $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

$(COMMINCL) $(COMMON):
	@$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	@$(RM) $@; $(LN_S) ../inventory/$@ $@

=== librmt/Makefile ===
#
# Copyright (c) 2000 Silicon Graphics, Inc.; provided copyright in
# certain portions may be held by third parties as indicated herein.
# All Rights Reserved.
#
# The code in this source file represents an aggregation of work from
# Georgia Tech, Fred Fish, Jeff Lee, Arnold Robbins and other Silicon
# Graphics engineers over the period 1985-2000.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like.  Any license provided herein, whether implied or
# otherwise, applies only to this software file.  Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
# 
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA  94043, or:
# 
# http://www.sgi.com 
# 
# For further information regarding this notice, see: 
# 
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = librmt.la
LTLDFLAGS =	# empty, forces a static-only library build

HFILES = rmtlib.h
CFILES = \
    isrmt.c      rmtclose.c    rmtdev.c    rmtisatty.c  rmtread.c   \
    rmtabort.c   rmtcommand.c  rmtfstat.c  rmtlseek.c   rmtstatus.c \
    rmtaccess.c  rmtcreat.c    rmtioctl.c  rmtopen.c    rmtwrite.c \
    rmtmsg.c

default: $(LTLIBRARY)

include $(BUILDRULES)

install install-dev: default

=== debian/changelog ===
xfsdump (2.0.1-2) stable-security; urgency=high

  * New release to fix security issues in interaction between
    xfsdump(8) and xfsdq(8).

 -- Nathan Scott <nathans@debian.org>  Mon, 24 Mar 2003 10:49:38 +1100

xfsdump (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Sat, 13 Apr 2002 09:45:06 +1000

xfsdump (2.0.0-1) unstable; urgency=low

  * Major new upstream release
  * Several system call changes - THIS WILL NOT WORK WITH OLD KERNELS!
  * Uses the new shared ext2/ext3/XFS extended attributes interfaces

 -- Nathan Scott <nathans@debian.org>  Thu,  7 Feb 2002 13:25:26 +1100

xfsdump (1.1.14-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Jan 2002 11:13:19 +1100

xfsdump (1.1.13-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Nathan Scott <nathans@debian.org>  Mon, 14 Jan 2002 10:59:50 +1100

xfsdump (1.1.12-1) unstable; urgency=low

  * New upstream bug-fix release
  * Several xfsrestore performance improvements

 -- Nathan Scott <nathans@debian.org>  Wed,  9 Jan 2002 14:21:56 +1100

xfsdump (1.1.10-1) unstable; urgency=low

  * New upstream bug-fix release

 -- Nathan Scott <nathans@debian.org>  Wed, 12 Dec 2001 10:49:17 +1100

xfsdump (1.1.6-0) unstable; urgency=low

  * New upstream release
  * Several fixes for IA64 and 64-bit Linux platforms in general
  * FHS compliance for xfsdump inventory directory (closes: #112566)

 -- Nathan Scott <nathans@debian.org>  Wed,  3 Oct 2001 15:09:51 +1000

xfsdump (1.1.3-0) unstable; urgency=low

  * More changes to libtool build procedure (closes: #106702)

 -- Nathan Scott <nathans@debian.org>  Fri, 27 Jul 2001 07:59:49 +1000

xfsdump (1.1.2-1) unstable; urgency=low

  * Minor changes to build procedure 
  * Add missing libtool build dependency (closes: #106506)

 -- Nathan Scott <nathans@debian.org>  Wed, 25 Jul 2001 12:57:42 +1000

xfsdump (1.1.2-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 24 Jul 2001 12:15:30 +1000

xfsdump (1.1.1-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Jul 2001 10:27:37 +1000

xfsdump (1.1.0-0) unstable; urgency=low

  * Reworked package slightly so that its not Debian native
  * Debian-specific changes now documented in changelog.Debian.gz
  * New upstream release (see /usr/share/doc/xfsdump/changelog.gz)
  * Checked standards compliance - update standards version to 3.5.5
  * Introduce a shlibs.local file to track package inter-dependencies

 -- Nathan Scott <nathans@debian.org>  Wed, 18 Jul 2001 15:57:04 +1000

xfsdump (1.0.9) unstable; urgency=low

  * Correctly [xfs]restore the suid and guid mode bits

 -- Nathan Scott <nathans@debian.org>  Tue, 15 May 2001 14:40:03 +1000

xfsdump (1.0.8) unstable; urgency=low

  * Add a build dependency on xfslibs-dev 1.2.5 (closes: #97097)

 -- Nathan Scott <nathans@debian.org>  Sat, 12 May 2001 08:52:27 +1000

xfsdump (1.0.7) unstable; urgency=low

  * Fix numerous warnings, remove last -Wall filter
  * Support realtime files in dump/restore
  * Cleanup arch-specific code, esp. the byteswab routines
  * Fix bug dumping to remote tape device with given user

 -- Nathan Scott <nathans@debian.org>  Wed,  9 May 2001 15:23:23 +1000

xfsdump (1.0.6) unstable; urgency=low

  * Remove spurious warnings when dumping quota information.

 -- Nathan Scott <nathans@debian.org>  Tue,  1 May 2001 15:32:24 +1000

xfsdump (1.0.5) unstable; urgency=low

  * Initial release (closes: #83832).

 -- Nathan Scott <nathans@debian.org>  Wed, 25 Apr 2001 12:19:15 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xfsdump
Section: admin
Priority: optional
Maintainer: Nathan Scott <nathans@debian.org>
Build-Depends: xfslibs-dev (>= 2.0.0), attr-dev (>= 2.0.0), dmapi-dev (>= 2.0.0), uuid-dev, autoconf, debmake, libtool
Standards-Version: 3.5.5

Package: xfsdump
Depends: ${shlibs:Depends}
Architecture: any
Description: Administrative utilities for the XFS filesystem
 The xfsdump package contains xfsdump, xfsrestore and a number of
 other administrative utilities for managing XFS filesystems.
 .
 xfsdump examines files in a filesystem, determines which need to be
 backed up, and copies those files to a specified disk, tape or other
 storage medium.  It uses XFS-specific directives for optimizing the
 dump of an XFS filesystem, and also knows how to backup XFS extended
 attributes.  Backups created with xfsdump are "endian safe" and can
 thus be transfered between Linux machines of different architectures
 and also between IRIX machines.
 .
 xfsrestore performs the inverse function of xfsdump; it can restore a
 full backup of a filesystem.  Subsequent incremental backups can then
 be layered on top of the full backup.  Single files and directory
 subtrees may be restored from full or partial backups.

=== debian/rules ===
#!/usr/bin/make -f

package=xfsdump

dirtmp = debian/tmp
pkgtmp = DIST_ROOT=`pwd`/$(dirtmp); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = DEBUG=-DNDEBUG; DISTRIBUTION=debian; export DEBUG DISTRIBUTION;
checkdir = test -f debian/rules

build: built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	autoconf
	$(options) ./configure
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census
	$(MAKE) distclean
	-rm -rf $(dirtmp) debian/*substvars debian/files*

binary-indep:

# Note1: dev pkg with .so symlinks to base pkg confuses debstd;
# so the .so 'Dangling symlink' message is benign.
# Note2: absolute symlinks (required by policy) confuse debstd;
# so we'll filter out symlink messages entirely now.
# 
binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(dirtmp)
	$(pkgtmp) $(MAKE) -C . install
	$(pkgtmp) $(MAKE) -C build src-manifest
	@echo "== dpkg-buildpackage: debstd" 1>&2
	$(stdenv) debstd -m | grep -v 'Dangling symlink'
	dpkg-gencontrol -isp -p$(package) -P$(dirtmp)
	chown -R root.root $(dirtmp)
	chmod -R go=rX $(dirtmp)
	dpkg --build $(dirtmp) .. 

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## xfsdump 2.2.23-1

=== debian/changelog ===
xfsdump (2.2.23-1) unstable; urgency=low

  * New upstream release (closes: #271666)

 -- Nathan Scott <nathans@debian.org>  Wed, 15 Sep 2004 07:14:46 +1000

xfsdump (2.2.21-1) unstable; urgency=low

  * New upstream release (closes: #240908, #214574)

 -- Nathan Scott <nathans@debian.org>  Fri, 16 Apr 2004 11:50:56 +1000

xfsdump (2.2.18-1) unstable; urgency=low

  * New upstream release
  * Support for the security extended attributes namespace
  * Update xfsprogs and xfslibs-dev package dependency information

 -- Nathan Scott <nathans@debian.org>  Thu, 26 Feb 2004 14:44:41 +1100

xfsdump (2.2.16-1) unstable; urgency=low

  * New upstream release
  * Update xfslibs-dev package dependency information

 -- Nathan Scott <nathans@debian.org>  Tue, 27 Jan 2004 08:47:23 +1100

xfsdump (2.2.14-1) unstable; urgency=low

  * New upstream release
  * Update DMAPI package dependency information

 -- Nathan Scott <nathans@debian.org>  Sat, 18 Oct 2003 10:32:47 +1000

xfsdump (2.2.13-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 23 Jul 2003 08:31:02 +1000

xfsdump (2.2.12-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 29 May 2003 17:26:52 +1000

xfsdump (2.2.11-1) unstable; urgency=low

  * New upstream release
  * Fine-tuned shared library dependencies slightly, so we depend
    on libattr itself (rather than attr which depends on libattr).

 -- Nathan Scott <nathans@debian.org>  Sat, 26 Apr 2003 06:30:30 +1000

xfsdump (2.2.10-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 14 Apr 2003 11:11:26 +1000

xfsdump (2.2.9-1) unstable; urgency=high

  * New upstream release fixing xfsdump quota file security issues

 -- Nathan Scott <nathans@debian.org>  Thu, 27 Mar 2003 11:05:54 +1100

xfsdump (2.2.8-1) unstable; urgency=low

  * New upstream release
  * Updated policy version to which this package conforms

 -- Nathan Scott <nathans@debian.org>  Thu, 27 Mar 2003 10:30:18 +1100

xfsdump (2.2.6-1) unstable; urgency=low

  * New upstream release
  * Update build dependencies to require new XFS headers

 -- Nathan Scott <nathans@debian.org>  Thu, 19 Dec 2002 13:10:49 +1100

xfsdump (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Update packaging dependencies to reflect renamed libattr1-dev
  * Switch from using curses library to ncurses library directly

 -- Nathan Scott <nathans@debian.org>  Fri,  8 Nov 2002 09:58:50 +1100

xfsdump (2.2.2-1) unstable; urgency=low

  * New upstream release (closes: #162038).

 -- Nathan Scott <nathans@debian.org>  Mon,  7 Oct 2002 05:19:51 +1000

xfsdump (2.2.0-1) unstable; urgency=low

  * New upstream release, fixing compatibility with older kernels

 -- Nathan Scott <nathans@debian.org>  Tue,  3 Sep 2002 09:22:24 +1000

xfsdump (2.1.5-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 14 Aug 2002 09:47:15 +1000

xfsdump (2.1.3-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 30 Jul 2002 14:34:17 +1000

xfsdump (2.1.2-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 29 Jul 2002 15:43:47 +1000

xfsdump (2.1.0-1) unstable; urgency=low

  * New upstream release
  * Uses updated XFS geometry ioctl (version change differentiates this).

 -- Nathan Scott <nathans@debian.org>  Thu, 20 Jun 2002 14:43:07 +1000

xfsdump (2.0.4-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 18 Jun 2002 09:48:30 +1000

xfsdump (2.0.3-1) unstable; urgency=low

  * New upstream release (closes: #146121).

 -- Nathan Scott <nathans@debian.org>  Wed,  8 May 2002 15:38:18 +1000

## xfsdump 2.2.27-1

=== debian/changelog ===
xfsdump (2.2.27-1) unstable; urgency=low

  * New upstream release (closes: #298407).

 -- Nathan Scott <nathans@debian.org>  Tue, 08 Mar 2005 10:59:22 +1100

xfsdump (2.2.25-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 13 Oct 2004 10:17:53 +1000

## xfsdump 2.2.30-1

=== debian/changelog ===
xfsdump (2.2.30-1) unstable; urgency=low

  * New upstream release (closes: #318088).

 -- Nathan Scott <nathans@debian.org>  Wed, 27 Jul 2005 16:45:42 +1000

## xfsdump 2.2.30-1ubuntu0.1

=== debian/changelog ===
xfsdump (2.2.30-1ubuntu0.1) dapper-security; urgency=low

  * SECURITY UPDATE: xfs_fsr in xfsdump creates a temporary directory with
    insecure permissions allowing local users to read or overwrite files
  * Added inline patch to fsr/xfs_fsr.c to use safe permissions
  * References
    CVE-2007-2654

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 19 Sep 2007 16:11:05 -0400

## xfsdump 2.2.38-1

=== debian/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = changelog control copyright rules shlibs.local

default:

include $(BUILDRULES)

install: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 changelog $(PKG_DOC_DIR)/changelog.Debian
endif

install-dev: default

=== doc/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

README = README.xfsdump
LSRCFILES = INSTALL PORTING CHANGES COPYING $(README) \
	directories.gif directories.obj               \
	files.gif files.obj                           \
	global_hdr.gif global_hdr.obj                 \
	inode_map.gif inode_map.obj                   \
	media_files.gif media_files.obj               \
	split_algorithm.gif split_algorithm.obj       \
	xfsdump.html xfsdump_ts.txt

LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(README) $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev:

=== dump/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	arch_xlate.h \
	cldmgr.h \
	content.h \
	content_common.h \
	content_inode.h \
	dlog.h \
	drive.h \
	exit.h \
	fs.h \
        getdents.h \
	global.h \
	hsmapi.h \
	lock.h \
	media.h \
	mlog.h \
	openutil.h \
	path.h \
	qlock.h \
	ring.h \
	stream.h \
	ts_mtio.h \
	types.h \
	util.h \
	sproc.h \
	rec_hdr.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_api.c \
	inv_core.c \
	inv_files.c \
	inv_fstab.c \
	inv_idx.c \
	inv_mgr.c \
	inv_stobj.c

COMMON = \
	arch_xlate.c \
	cldmgr.c \
	content_common.c \
	dlog.c \
	drive.c \
	drive_scsitape.c \
	drive_simple.c \
	drive_minrmt.c \
	fs.c \
	getdents.c \
	global.c \
	hsmapi.c \
	lock.c \
	main.c \
	mlog.c \
	openutil.c \
	qlock.c \
	path.c \
	ring.c \
	stream.c \
	util.c \
	sproc.c

LOCALS = \
	content.c \
	inomap.c \
	var.c

LOCALINCL = \
	getopt.h \
	inomap.h \
	var.h

LTCOMMAND = xfsdump

CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
HFILES = $(LOCALINCL)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBDM) $(LIBRMT)
LTDEPENDENCIES = $(LIBRMT)

LCFLAGS = -DDUMP -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX

default: $(LINKS) $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(INSTALL) -S $(PKG_SBIN_DIR)/$(LTCOMMAND) $(PKG_BIN_DIR)/$(LTCOMMAND)
install-dev:

$(COMMINCL) $(COMMON):
	@$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	@$(RM) $@; $(LN_S) ../inventory/$@ $@

=== fsr/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_fsr
CFILES = xfs_fsr.c
LLDLIBS = $(LIBHANDLE) $(LIBATTR)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

=== include/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

HFILES = swap.h
LSRCFILES = builddefs.in buildmacros buildrules config.h.in

default install install-dev :

include $(BUILDRULES)

=== invutil/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	global.h \
	mlog.h \
	util.h \
	types.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_files.c

CURSESCOMMON = \
	cmenu.c \
	fstab.c \
	invidx.c \
	list.c \
	menu.c \
	screen.c \
	stobj.c

CURSESINCL = \
	cmenu.h \
	fstab.h \
	getopt.h \
	invidx.h \
	invutil.h \
	list.h \
	stobj.h

LOCALS = invutil.c

LTCOMMAND = xfsinvutil
CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) $(LIBCURSES)

#LCFLAGS = -DDUMP -DRMT -DEXTATTR -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
LCFLAGS = -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX
#LCFLAGS = -DINV_DEBUG -DDUMP -DBASED -DDOSOCKS -DINVCONVFIX -DSIZEEST -DPIPEINVFIX

ifeq ($(ENABLE_CURSES), yes)
CFILES += $(CURSESCOMMON)
HFILES += $(CURSESINCL)
LCFLAGS += -DHAVE_CURSES
else
LSRCFILES += $(CURSESCOMMON) $(CURSESINCL)
endif

default: $(LINKS) $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev:

$(COMMINCL) $(COMMON):
	@$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	@$(RM) $@; $(LN_S) ../inventory/$@ $@

=== m4/Makefile ===
#
# Copyright (c) 2003-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = \
	manual_format.m4 \
	package_attrdev.m4 \
	package_dmapidev.m4 \
	package_globals.m4 \
	package_ncurses.m4 \
	package_utilies.m4 \
	package_uuiddev.m4 \
	package_xfslibs.m4 \
	multilib.m4

default: 

include $(BUILDRULES)

install install-dev install-lib: default

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

# Currently LINGUAS is undefined, so buildmacros provides no targets.
LINGUAS = 
LSRCFILES = $(LINGUAS:%=%.po) $(PKG_NAME).pot

# TODO - invutil/
XGETTEXTFILES =	\
		$(TOPDIR)/common/cldmgr.c \
		$(TOPDIR)/common/content_common.c \
		$(TOPDIR)/common/dlog.c \
		$(TOPDIR)/common/drive.c \
		$(TOPDIR)/common/drive_minrmt.c \
		$(TOPDIR)/common/drive_scsitape.c \
		$(TOPDIR)/common/drive_simple.c \
		$(TOPDIR)/common/fs.c \
		$(TOPDIR)/common/global.c \
		$(TOPDIR)/common/main.c \
		$(TOPDIR)/common/media.c \
		$(TOPDIR)/common/mlog.c \
		$(TOPDIR)/common/namreg.c \
		$(TOPDIR)/common/openutil.c \
		$(TOPDIR)/common/qlock.c \
		$(TOPDIR)/common/util.c \
		$(TOPDIR)/copy/xfs_copy.c \
		$(TOPDIR)/dump/content.c \
		$(TOPDIR)/dump/inomap.c \
		$(TOPDIR)/dump/var.c \
		$(TOPDIR)/estimate/xfs_estimate.c \
		$(TOPDIR)/fsr/xfs_fsr.c \
		$(TOPDIR)/inventory/inv_api.c \
		$(TOPDIR)/inventory/inv_core.c \
		$(TOPDIR)/inventory/inv_fstab.c \
		$(TOPDIR)/inventory/inv_mgr.c \
		$(TOPDIR)/inventory/inv_stobj.c \
		$(TOPDIR)/librmt/rmtioctl.c \
		$(TOPDIR)/librmt/rmtmsg.c \
		$(TOPDIR)/librmt/rmtopen.c \
		$(TOPDIR)/restore/content.c \
		$(TOPDIR)/restore/dirattr.c \
		$(TOPDIR)/restore/inomap.c \
		$(TOPDIR)/restore/namreg.c \
		$(TOPDIR)/restore/node.c \
		$(TOPDIR)/restore/tree.c \
		$(TOPDIR)/restore/win.c

default: $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

=== restore/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

COMMINCL = \
	arch_xlate.h \
	cldmgr.h \
	content.h \
	content_inode.h \
	dlog.h \
	drive.h \
	exit.h \
	fs.h \
        getdents.h \
	global.h \
	hsmapi.h \
	lock.h \
	media.h \
	mlog.h \
	openutil.h \
	path.h \
	qlock.h \
	rec_hdr.h \
	ring.h \
	sproc.h \
	stream.h \
	ts_mtio.h \
	types.h \
	util.h

INVINCL = \
	inventory.h \
	inv_priv.h

INVCOMMON = \
	inv_api.c \
	inv_core.c \
	inv_files.c \
	inv_fstab.c \
	inv_idx.c \
	inv_mgr.c \
	inv_stobj.c

COMMON = \
	arch_xlate.c \
	cldmgr.c \
	dlog.c \
	drive.c \
	drive_scsitape.c \
	drive_simple.c \
	drive_minrmt.c \
	fs.c \
        getdents.c \
	global.c \
	hsmapi.c \
	lock.c \
	main.c \
	mlog.c \
	openutil.c \
	path.c \
	qlock.c \
	ring.c \
	sproc.c \
	stream.c \
	util.c

LOCALS = \
	bag.c \
	content.c \
	dirattr.c \
	inomap.c \
	mmap.c \
	namreg.c \
	node.c \
	tree.c \
	win.c

LOCALINCL = \
	bag.h \
	dirattr.h \
	getopt.h \
	inomap.h \
	mmap.h \
	namreg.h \
	node.h \
	tree.h \
	win.h

LTCOMMAND = xfsrestore

CFILES = $(COMMON) $(INVCOMMON) $(LOCALS)
HFILES = $(LOCALINCL)
LINKS  = $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
LDIRT = $(LINKS)
LLDLIBS = $(LIBUUID) $(LIBHANDLE) $(LIBATTR) $(LIBDM) $(LIBRMT)
LTDEPENDENCIES = $(LIBRMT)

LCFLAGS = -DRESTORE -DRMT -DBASED -DDOSOCKS -DINVCONVFIX -DPIPEINVFIX \
	-DEOMFIX -DSESSCPLT -DWHITEPARSE -DNODECHK -DDIRENTHDR_CHECKSUM \
	-DF_FSSETDM

default: $(LINKS) $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(INSTALL) -S $(PKG_SBIN_DIR)/$(LTCOMMAND) $(PKG_BIN_DIR)/$(LTCOMMAND)
install-dev:

$(COMMINCL) $(COMMON):
	@$(RM) $@; $(LN_S) ../common/$@ $@

$(INVINCL) $(INVCOMMON):
	@$(RM) $@; $(LN_S) ../inventory/$@ $@

=== debian/changelog ===
xfsdump (2.2.38-1) unstable; urgency=low

  * New upstream release (closes: #368423).

 -- Nathan Scott <nathans@debian.org>  Tue, 20 Jun 2006 16:50:49 +1000

xfsdump (2.2.36-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 06 Apr 2006 17:07:33 +1000

xfsdump (2.2.35-1) unstable; urgency=low

  * New upstream release
  * Switch from debmake to debhelper

 -- Nathan Scott <nathans@debian.org>  Wed, 15 Feb 2006 20:04:55 +1100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Nathan Scott <nathans@debian.org>
-Build-Depends: xfslibs-dev (>= 2.0.0), attr-dev (>= 2.0.0), dmapi-dev (>= 2.0.0), uuid-dev, autoconf, debmake, libtool
-Standards-Version: 3.5.5
+Build-Depends: xfslibs-dev (>= 2.6.4), uuid-dev, libdm0-dev, libattr1-dev (>= 2.4.14), libncurses-dev, autoconf, debhelper (>= 5), gettext, libtool
+Standards-Version: 3.5.9
 
 Package: xfsdump
 Depends: ${shlibs:Depends}

## xfsdump 2.2.38-1ubuntu0.6.10.1

=== debian/changelog ===
xfsdump (2.2.38-1ubuntu0.6.10.1) edgy-security; urgency=low

  * SECURITY UPDATE: xfs_fsr in xfsdump creates a temporary directory with
    insecure permissions allowing local users to read or overwrite files
  * Added inline patch to fsr/xfs_fsr.c to use safe permissions
  * References
    CVE-2007-2654

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 19 Sep 2007 16:13:22 -0400

## xfsdump 2.2.38-1ubuntu0.7.04.1

=== debian/changelog ===
xfsdump (2.2.38-1ubuntu0.7.04.1) feisty-security; urgency=low

  * SECURITY UPDATE: xfs_fsr in xfsdump creates a temporary directory with
    insecure permissions allowing local users to read or overwrite files
  * Added inline patch to fsr/xfs_fsr.c to use safe permissions
  * References
    CVE-2007-2654
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 19 Sep 2007 16:22:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfsdump
 Section: admin
 Priority: optional
-Maintainer: Nathan Scott <nathans@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
 Build-Depends: xfslibs-dev (>= 2.6.4), uuid-dev, libdm0-dev, libattr1-dev (>= 2.4.14), libncurses-dev, autoconf, debhelper (>= 5), gettext, libtool
 Standards-Version: 3.5.9

## xfsdump 2.2.42-1

=== debian/changelog ===
xfsdump (2.2.42-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 11 Aug 2006 10:13:09 +1000
